require "mastercontrol/version"
require "mastercontrol/server"
require "mastercontrol/accounts"

module Mastercontrol
  class << self
    attr_accessor :access_hash, :access_hash_user, :server_hostname
  end

  def self.base_url
    "https://#{server_hostname}:2087/json-api"
  end

  def self.auth_header
    "WHM #{@access_hash_user}:#{@access_hash}"
  end
end
